"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PostgreSqlCrudService = void 0;
/* eslint-disable @typescript-eslint/no-explicit-any */
const q_id_generator_1 = require("q-id-generator");
const postgreSqlClient_service_1 = __importDefault(require("./postgreSqlClient.service"));
class PostgreSqlCrudService extends postgreSqlClient_service_1.default {
    constructor(tableName, idColumnName = 'id', partitionKey = null) {
        super();
        this.tableName = tableName;
        this.idColumnName = idColumnName;
        this.partitionKey = partitionKey;
    }
    async create(entity) {
        var _a;
        const id = ((_a = entity[this.idColumnName]) === null || _a === void 0 ? void 0 : _a.toString()) || (0, q_id_generator_1.getId)();
        const body = Object.assign(Object.assign({}, entity), { [this.idColumnName]: id });
        return this.createCommand(this.tableName, body).then((data) => data === null || data === void 0 ? void 0 : data.rows);
    }
    async find(findOptions) {
        return this.findCommand(this.tableName, findOptions).then((data) => data === null || data === void 0 ? void 0 : data.rows);
    }
    async findById(findOptions) {
        return this.findCommand(this.tableName, findOptions).then((data) => (data === null || data === void 0 ? void 0 : data.rows[0]) ? data === null || data === void 0 ? void 0 : data.rows[0] : null);
    }
    update(filters, data) {
        return this.updateCommand(this.tableName, filters, data);
    }
    async remove(filters) {
        await this.deleteCommand(this.tableName, filters);
    }
    runQuery(querySentence, values) {
        super.executeQuery(querySentence, values);
    }
}
exports.PostgreSqlCrudService = PostgreSqlCrudService;
//# sourceMappingURL=postgreSqlCrud.service.js.map